Error fatal al actualizar Jetpack a la versión 8.0

En algunos casos, la actualización a Jetpack 8.0 provocará un error como este:

An error of type E_ERROR was caused in line 270 of the file wp-content/plugins/jetpack/vendor/automattic/jetpack-sync/src/Listener.php. Error message: Uncaught Error: Class 'Automattic\Jetpack\Roles' not found in wp-content/plugins/jetpack/vendor/automattic/jetpack-sync/src/Listener.php:270

El error puede haber sido enviado a través de un correo electrónico con la línea de asunto «Su sitio está experimentando un problema técnico», o puede habértelo mostrado en la página plugins cuando intentaste actualizar Jetpack.

Sucedió porque han movido algunos archivos en esta versión de Jetpack, lo que desencadena un error cuando no se pueden encontrar en sus ubicaciones antiguas. El sitio debe haber sido actualizado a Jetpack 8.0, por lo que la actualización de la página Plugins del panel debe mostrar esa versión. El error sólo ocurre una vez, en la actualización, y no después de esta.

El front-end del sitio, debería funcionar bien, pero es posible que tengas que borrar las cachés que tienes para estar seguro.

Si tienes problemas contacta con nosotros.

× ¿Cómo puedo ayudarte?